Sidebar

manual:introduction:whatsnew5010

15 What's new in Zabbix 5.0.10

MongoDB monitoring

MongoDB monitoring is now available via the Zabbix agent 2 with a new MongoDB plugin and monitoring templates. For more information, see:

brevis.one webhook integration

A new integration is available allowing to use the webhook media type for pushing Zabbix notifications to brevis.one.

New templates

The following templates are now available for out-of-the-box monitoring:

APC UPS
  • APC UPS SNMP - monitoring of APC UPS Symmetra LX by Zabbix SNMP agent.
Cisco Catalyst 3750 Series
  • Cisco Catalyst 3750V2-24FS SNMP
  • Cisco Catalyst 3750V2-24PS SNMP
  • Cisco Catalyst 3750V2-24TS SNMP
  • Cisco Catalyst 3750V2-48TS SNMP
  • Cisco Catalyst 3750V2-48TS SNMP

See also: Standardized templates for network devices.

Huawei Oceanstor

Huawei OceanStor 5300 V5 SNMP - monitoring of SAN Huawei OceanStor 5300 V5 by Zabbix SNMP agent.

NetApp

Template SAN NetApp AFF A700 by HTTP - see setup instructions for HTTP templates.

S.M.A.R.T. monitoring system
  • SMART by Zabbix agent 2
  • SMART by Zabbix agent 2 active

See setup instructions for Zabbix agent 2 templates.

MongoDB
  • MongoDB cluster by Zabbix agent 2
  • MongoDB node by Zabbix agent 2

See setup instructions for Zabbix agent 2 templates.

You can get these templates:

  • In ConfigurationTemplates in new installations;
  • If you are upgrading from previous versions, you can download new templates from Zabbix Git repository or find them in the templates directory of the downloaded latest Zabbix version. Then, while in ConfigurationTemplates you can import them manually into Zabbix.

Real-time export

It is now possible to specify entity types to export in real-time export, using the new ExportType server parameter.

Server protected against proxy data overload

Additional protection has been added to Zabbix server against overloading by proxy data, for example, after a server downtime. This is achieved by rotating proxies during the fetching of historical data and updating the history cache.

Timescale DB 2.X

Timescale DB 2.X versions are now officially supported in addition to Timescale DB 1.X. Please note, that Timescale DB 2.X works only with PostgreSQL 11 or newer.